#!/usr/bin/python3
# coding: utf-8

import json
import os
import sys

# getting the name of the directory
# where the this file is present.
current = os.path.dirname(os.path.realpath(__file__))

# Getting the parent directory name
# where the current directory is present.
parent = os.path.dirname(current)

# adding the parent directory to
# the sys.path.
sys.path.append(parent)
sys.path.append(parent + "/src")

from src.agenda_culturel.import_tasks.downloader import (
    ChromiumHeadlessDownloader,
)
from src.agenda_culturel.import_tasks.generic_extractors import fbevents
from src.agenda_culturel.import_tasks.importer import URL2Events

if __name__ == "__main__":
    u2e = URL2Events(ChromiumHeadlessDownloader(), fbevents.CExtractor())
    url = "https://www.facebook.com/laJeteeClermont/upcoming_hosted_events"
    url_human = "https://www.facebook.com/laJeteeClermont/upcoming_hosted_events"

    try:
        events = u2e.process(
            url,
            url_human,
            cache="cache-lajetee-fb.html",
            default_values={"location": "La Jetée"},
            published=True,
        )

        exportfile = "events-lajetee-fb.json"
        print("Saving events to file {}".format(exportfile))
        with open(exportfile, "w") as f:
            json.dump(events, f, indent=4, default=str)
    except Exception as e:
        print("Exception: " + str(e))
